## org.eclipse.datatools.connectivity.oda.design
Interface ResourceIdentifiers

All Superinterfaces:
  org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

    public interface ResourceIdentifiers

extends org.eclipse.emf.ecore.EObject

A representation of the model object 'Resource Identifiers'. Resource identifiers of an ODA host application or custom ODA designer.

The following features are supported:

- `Appl Resource Base URI String`
- `Design Resource Base URI String`

Since:
  DTP 1.7
See Also:
  `DesignPackage.getResourceIdentifiers()`

Field Summary
`static java.lang.String` `copyright`

Method Summary
`java.net.URI` `getApplResourceBaseURI()` Returns the value of the 'Appl Resource Base URI String' attribute in URI form.
`java.lang.String` `getApplResourceBaseURIString()` Returns the value of the 'Appl Resource Base URI String' attribute.
`java.net.URI` `getDesignResourceBaseURI()` Returns the value of the 'Design Resource Base URI String' attribute in URI form.
`java.lang.String` `getDesignResourceBaseURIString()` Returns the value of the 'Design Resource Base URI String' attribute.
`void` `setApplResourceBaseURI(java.net.URI baseURI)` Sets the value of the 'Appl Resource Base URI String' attribute in URI form.
`void` `setApplResourceBaseURIString(java.lang.String value)` Sets the value of the '`Appl Resource Base URI String`' attribute.
`void` `setDesignResourceBaseURI(java.net.URI baseURI)` Sets the value of the 'Design Resource Base URI String' attribute in URI form.
`void` `setDesignResourceBaseURIString(java.lang.String value)` Sets the value of the '`Design Resource Base URI String`' attribute.

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Field Detail

### copyright

    static final java.lang.String copyright

  See Also:
    Constant Field Values

Method Detail

### getApplResourceBaseURI

    java.net.URI getApplResourceBaseURI()

  Returns the value of the 'Appl Resource Base URI String' attribute in URI form.

  Returns:
    the base URI of general purpose resources of an ODA consumer application; may be null
  See Also:
    `getApplResourceBaseURIString()`

### setApplResourceBaseURI

    void setApplResourceBaseURI(java.net.URI baseURI)

  Sets the value of the 'Appl Resource Base URI String' attribute in URI form.

  Parameters:
    `baseURI` - the base URI of general purpose resources of an ODA consumer application
  See Also:
    `#setApplResourceBaseURIString()`

### getApplResourceBaseURIString

    java.lang.String getApplResourceBaseURIString()

  Returns the value of the 'Appl Resource Base URI String' attribute. The base URI of general purpose resources of an ODA consumer application in string form.

  Returns:
    the value of the 'Appl Resource Base URI String' attribute.
  See Also:
    `getApplResourceBaseURI()`, `setApplResourceBaseURIString(String)`, `DesignPackage.getResourceIdentifiers_ApplResourceBaseURIString()`

### setApplResourceBaseURIString

    void setApplResourceBaseURIString(java.lang.String value)

  Sets the value of the '`Appl Resource Base URI String`' attribute.

  Parameters:
    `value` - the new value of the 'Appl Resource Base URI String' attribute.
  See Also:
    `setApplResourceBaseURI(URI)`, `getApplResourceBaseURIString()`

### getDesignResourceBaseURI

    java.net.URI getDesignResourceBaseURI()

  Returns the value of the 'Design Resource Base URI String' attribute in URI form.

  Returns:
    the base URI of design resources of an ODA consumer application; may be null
  See Also:
    `getApplResourceBaseURIString()`

### setDesignResourceBaseURI

    void setDesignResourceBaseURI(java.net.URI baseURI)

  Sets the value of the 'Design Resource Base URI String' attribute in URI form.

  Parameters:
    `baseURI` - the base URI of design resources of an ODA consumer application
  See Also:
    `#setDesignResourceBaseURIString()`

### getDesignResourceBaseURIString

    java.lang.String getDesignResourceBaseURIString()

  Returns the value of the 'Design Resource Base URI String' attribute. The base URI of design resources of an ODA consumer application in string form.

  Returns:
    the value of the 'Design Resource Base URI String' attribute.
  See Also:
    `getDesignResourceBaseURI()`, `setDesignResourceBaseURIString(String)`, `DesignPackage.getResourceIdentifiers_DesignResourceBaseURIString()`

### setDesignResourceBaseURIString

    void setDesignResourceBaseURIString(java.lang.String value)

  Sets the value of the '`Design Resource Base URI String`' attribute.

  Parameters:
    `value` - the new value of the 'Design Resource Base URI String' attribute.
  See Also:
    `setDesignResourceBaseURI(URI)`, `getDesignResourceBaseURIString()`